Bug 207591 - Many BUG and bactraces generated with 2.6.17-1.2647.fc6 during bootup
Many BUG and bactraces generated with 2.6.17-1.2647.fc6 during bootup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-21 15:10 EDT by Dax Kelson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.20-1.2944.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-23 15:01:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
complete output of dmesg after bootup (31.39 KB, text/plain)
2006-09-21 15:10 EDT, Dax Kelson
no flags Details

  None (edit)
Description Dax Kelson 2006-09-21 15:10:10 EDT
Description of problem:
Kernel version version 2.6.17-1.2647.fc6
Dell Dimension 4700 w/P4 HyperThreaded CPU

During bootup I get the following kernel messages (I'll attach the complete
dmesg output as well):

...snip...
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
audit(1158770455.186:3): policy loaded auid=4294967295
BUG: warning at kernel/lockdep.c:1816/trace_hardirqs_on() (Not tainted)
 [<c04051ee>] show_trace_log_lvl+0x58/0x171
 [<c0405802>] show_trace+0xd/0x10
 [<c040591b>] dump_stack+0x19/0x1b
 [<c043acba>] trace_hardirqs_on+0xa2/0x11e
 [<c0615603>] _spin_unlock_irq+0x22/0x26
 [<c0541778>] rtc_get_rtc_time+0x32/0x176
 [<c0419ba4>] hpet_rtc_interrupt+0x92/0x14d
 [<c04511b4>] handle_IRQ_event+0x20/0x4d
 [<c0451275>] __do_IRQ+0x94/0xef
 [<c040678d>] do_IRQ+0x9e/0xbd
 [<c0404a49>] common_interrupt+0x25/0x2c
DWARF2 unwinder stuck at common_interrupt+0x25/0x2c
Leftover inexact backtrace:
input: PC Speaker as /class/input/input2
hda: ATAPI 48X DVD-ROM CD-R/RW drive, 1536kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
...snip...
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.8
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.8
kobject_add failed for vcs1 with -EEXIST, don't try to register things with the
same name in the same directory.
 [<c04051ee>] show_trace_log_lvl+0x58/0x171
 [<c0405802>] show_trace+0xd/0x10
 [<c040591b>] dump_stack+0x19/0x1b
 [<c04e8bc1>] kobject_add+0x14b/0x171
 [<c0555f0c>] class_device_add+0x99/0x3c0
 [<c0556245>] class_device_register+0x12/0x15
 [<c05562ca>] class_device_create+0x82/0xa5
 [<c0539a89>] vcs_make_devfs+0x25/0x53
 [<c053e919>] con_open+0x72/0x80
 [<c053515c>] tty_open+0x186/0x308
 [<c047b05b>] chrdev_open+0x105/0x13a
 [<c0471c82>] __dentry_open+0xc8/0x1ab
 [<c0471dd3>] nameidata_to_filp+0x1c/0x2e
 [<c0471e13>] do_filp_open+0x2e/0x35
 [<c0471e5a>] do_sys_open+0x40/0xb5
 [<c0471efb>] sys_open+0x16/0x18
 [<c0403faf>] syscall_call+0x7/0xb
DWARF2 unwinder stuck at syscall_call+0x7/0xb
Leftover inexact backtrace:
 [<c0405802>] show_trace+0xd/0x10
 [<c040591b>] dump_stack+0x19/0x1b
 [<c04e8bc1>] kobject_add+0x14b/0x171
 [<c0555f0c>] class_device_add+0x99/0x3c0
 [<c0556245>] class_device_register+0x12/0x15
 [<c05562ca>] class_device_create+0x82/0xa5
 [<c0539a89>] vcs_make_devfs+0x25/0x53
 [<c053e919>] con_open+0x72/0x80
 [<c053515c>] tty_open+0x186/0x308
 [<c047b05b>] chrdev_open+0x105/0x13a
 [<c0471c82>] __dentry_open+0xc8/0x1ab
 [<c0471dd3>] nameidata_to_filp+0x1c/0x2e
 [<c0471e13>] do_filp_open+0x2e/0x35
 [<c0471e5a>] do_sys_open+0x40/0xb5
 [<c0471efb>] sys_open+0x16/0x18
 [<c0403faf>] syscall_call+0x7/0xb
kobject_add failed for vcsa1 with -EEXIST, don't try to register things with the
same name in the same directory.
 [<c04051ee>] show_trace_log_lvl+0x58/0x171
 [<c0405802>] show_trace+0xd/0x10
 [<c040591b>] dump_stack+0x19/0x1b
 [<c04e8bc1>] kobject_add+0x14b/0x171
 [<c0555f0c>] class_device_add+0x99/0x3c0
 [<c0556245>] class_device_register+0x12/0x15
 [<c05562ca>] class_device_create+0x82/0xa5
 [<c0539aaf>] vcs_make_devfs+0x4b/0x53
 [<c053e919>] con_open+0x72/0x80
 [<c053515c>] tty_open+0x186/0x308
 [<c047b05b>] chrdev_open+0x105/0x13a
 [<c0471c82>] __dentry_open+0xc8/0x1ab
 [<c0471dd3>] nameidata_to_filp+0x1c/0x2e
 [<c0471e13>] do_filp_open+0x2e/0x35
 [<c0471e5a>] do_sys_open+0x40/0xb5
 [<c0471efb>] sys_open+0x16/0x18
 [<c0403faf>] syscall_call+0x7/0xb
DWARF2 unwinder stuck at syscall_call+0x7/0xb
Leftover inexact backtrace:
 [<c0405802>] show_trace+0xd/0x10
 [<c040591b>] dump_stack+0x19/0x1b
 [<c04e8bc1>] kobject_add+0x14b/0x171
 [<c0555f0c>] class_device_add+0x99/0x3c0
 [<c0556245>] class_device_register+0x12/0x15
 [<c05562ca>] class_device_create+0x82/0xa5
 [<c0539aaf>] vcs_make_devfs+0x4b/0x53
 [<c053e919>] con_open+0x72/0x80
 [<c053515c>] tty_open+0x186/0x308
 [<c047b05b>] chrdev_open+0x105/0x13a
 [<c0471c82>] __dentry_open+0xc8/0x1ab
 [<c0471dd3>] nameidata_to_filp+0x1c/0x2e
 [<c0471e13>] do_filp_open+0x2e/0x35
 [<c0471e5a>] do_sys_open+0x40/0xb5
 [<c0471efb>] sys_open+0x16/0x18
 [<c0403faf>] syscall_call+0x7/0xb
Bluetooth: HIDP (Human Interface Emulation) ver 1.1
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
kobject_add failed for vcs1 with -EEXIST, don't try to register things with the
same name in the same directory.
 [<c04051ee>] show_trace_log_lvl+0x58/0x171
 [<c0405802>] show_trace+0xd/0x10
 [<c040591b>] dump_stack+0x19/0x1b
 [<c04e8bc1>] kobject_add+0x14b/0x171
 [<c0555f0c>] class_device_add+0x99/0x3c0
 [<c0556245>] class_device_register+0x12/0x15
 [<c05562ca>] class_device_create+0x82/0xa5
 [<c0539a89>] vcs_make_devfs+0x25/0x53
 [<c053e919>] con_open+0x72/0x80
 [<c053515c>] tty_open+0x186/0x308
 [<c047b05b>] chrdev_open+0x105/0x13a
 [<c0471c82>] __dentry_open+0xc8/0x1ab
 [<c0471dd3>] nameidata_to_filp+0x1c/0x2e
 [<c0471e13>] do_filp_open+0x2e/0x35
 [<c0471e5a>] do_sys_open+0x40/0xb5
 [<c0471efb>] sys_open+0x16/0x18
 [<c0403faf>] syscall_call+0x7/0xb
DWARF2 unwinder stuck at syscall_call+0x7/0xb
Leftover inexact backtrace:
 [<c0405802>] show_trace+0xd/0x10
 [<c040591b>] dump_stack+0x19/0x1b
 [<c04e8bc1>] kobject_add+0x14b/0x171
 [<c0555f0c>] class_device_add+0x99/0x3c0
 [<c0556245>] class_device_register+0x12/0x15
 [<c05562ca>] class_device_create+0x82/0xa5
 [<c0539a89>] vcs_make_devfs+0x25/0x53
 [<c053e919>] con_open+0x72/0x80
 [<c053515c>] tty_open+0x186/0x308
 [<c047b05b>] chrdev_open+0x105/0x13a
 [<c0471c82>] __dentry_open+0xc8/0x1ab
 [<c0471dd3>] nameidata_to_filp+0x1c/0x2e
 [<c0471e13>] do_filp_open+0x2e/0x35
 [<c0471e5a>] do_sys_open+0x40/0xb5
 [<c0471efb>] sys_open+0x16/0x18
 [<c0403faf>] syscall_call+0x7/0xb
kobject_add failed for vcsa1 with -EEXIST, don't try to register things with the
same name in the same directory.
 [<c04051ee>] show_trace_log_lvl+0x58/0x171
 [<c0405802>] show_trace+0xd/0x10
 [<c040591b>] dump_stack+0x19/0x1b
 [<c04e8bc1>] kobject_add+0x14b/0x171
 [<c0555f0c>] class_device_add+0x99/0x3c0
 [<c0556245>] class_device_register+0x12/0x15
 [<c05562ca>] class_device_create+0x82/0xa5
 [<c0539aaf>] vcs_make_devfs+0x4b/0x53
 [<c053e919>] con_open+0x72/0x80
 [<c053515c>] tty_open+0x186/0x308
 [<c047b05b>] chrdev_open+0x105/0x13a
 [<c0471c82>] __dentry_open+0xc8/0x1ab
 [<c0471dd3>] nameidata_to_filp+0x1c/0x2e
 [<c0471e13>] do_filp_open+0x2e/0x35
 [<c0471e5a>] do_sys_open+0x40/0xb5
 [<c0471efb>] sys_open+0x16/0x18
 [<c0403faf>] syscall_call+0x7/0xb
DWARF2 unwinder stuck at syscall_call+0x7/0xb
Leftover inexact backtrace:
 [<c0405802>] show_trace+0xd/0x10
 [<c040591b>] dump_stack+0x19/0x1b
 [<c04e8bc1>] kobject_add+0x14b/0x171
 [<c0555f0c>] class_device_add+0x99/0x3c0
 [<c0556245>] class_device_register+0x12/0x15
 [<c05562ca>] class_device_create+0x82/0xa5
 [<c0539aaf>] vcs_make_devfs+0x4b/0x53
 [<c053e919>] con_open+0x72/0x80
 [<c053515c>] tty_open+0x186/0x308
 [<c047b05b>] chrdev_open+0x105/0x13a
 [<c0471c82>] __dentry_open+0xc8/0x1ab
 [<c0471dd3>] nameidata_to_filp+0x1c/0x2e
 [<c0471e13>] do_filp_open+0x2e/0x35
 [<c0471e5a>] do_sys_open+0x40/0xb5
 [<c0471efb>] sys_open+0x16/0x18
 [<c0403faf>] syscall_call+0x7/0xb
[drm] Initialized drm 1.0.1 20051102
ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 169
[drm] Initialized i915 1.5.0 20060119 on minor 0


I'm attaching /var/log/dmesg
Comment 1 Dax Kelson 2006-09-21 15:10:10 EDT
Created attachment 136901 [details]
complete output of dmesg after bootup
Comment 2 Dave Jones 2007-04-23 14:54:06 EDT
Is this still happening with current builds ?
Comment 3 Dax Kelson 2007-04-23 15:01:18 EDT
No, seems fixed

Note You need to log in before you can comment on or make changes to this bug.